b5b2ff0b787db6b9d1fab59983456fb9c412a73a
[scilab.git] / scilab / modules / io / Makefile.in
1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
20 #
21 # This file is distributed under the same license as the Scilab package.
22
23 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
24 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
25 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
26 #
27 # This file must be used under the terms of the CeCILL.
28 # This source file is licensed as described in the file COPYING, which
29 # you should have received as part of this distribution.  The terms
30 # are also available at
31 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
32 #
33
34 ##########
35 ### Makefile included stuff
36 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
37 ##########
38
39
40 VPATH = @srcdir@
41 pkgdatadir = $(datadir)/@PACKAGE@
42 pkgincludedir = $(includedir)/@PACKAGE@
43 pkglibdir = $(libdir)/@PACKAGE@
44 pkglibexecdir = $(libexecdir)/@PACKAGE@
45 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
46 install_sh_DATA = $(install_sh) -c -m 644
47 install_sh_PROGRAM = $(install_sh) -c
48 install_sh_SCRIPT = $(install_sh) -c
49 INSTALL_HEADER = $(INSTALL_DATA)
50 transform = $(program_transform_name)
51 NORMAL_INSTALL = :
52 PRE_INSTALL = :
53 POST_INSTALL = :
54 NORMAL_UNINSTALL = :
55 PRE_UNINSTALL = :
56 POST_UNINSTALL = :
57 build_triplet = @build@
58 host_triplet = @host@
59 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
60         $(top_srcdir)/Makefile.incl.am
61 @NEED_JAVA_TRUE@am__append_1 = java
62 subdir = modules/io
63 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
64 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
65         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
66         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
67         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
68         $(top_srcdir)/m4/intel_compiler.m4 \
69         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
70         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
71         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
72         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
73         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
74         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
75         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
76         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
77         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
78         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
79         $(top_srcdir)/configure.ac
80 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
81         $(ACLOCAL_M4)
82 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
83 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
84 CONFIG_CLEAN_FILES =
85 CONFIG_CLEAN_VPATH_FILES =
86 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
87 am__vpath_adj = case $$p in \
88     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
89     *) f=$$p;; \
90   esac;
91 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
92 am__install_max = 40
93 am__nobase_strip_setup = \
94   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
95 am__nobase_strip = \
96   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
97 am__nobase_list = $(am__nobase_strip_setup); \
98   for p in $$list; do echo "$$p $$p"; done | \
99   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
100   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
101     if (++n[$$2] == $(am__install_max)) \
102       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
103     END { for (dir in files) print dir, files[dir] }'
104 am__base_list = \
105   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
106   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
107 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
108         "$(DESTDIR)$(libsciio_la_etcdir)" \
109         "$(DESTDIR)$(libsciio_la_rootdir)" \
110         "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
111 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
112 libsciio_algo_la_LIBADD =
113 am__objects_1 = libsciio_algo_la-getpidc.lo \
114         libsciio_algo_la-setenvc.lo libsciio_algo_la-systemc.lo \
115         libsciio_algo_la-getenvc.lo libsciio_algo_la-GetenvB.lo \
116         libsciio_algo_la-v2cuniterror.lo
117 am__objects_2 = v2unit.lo newsave.lo v2cunit.lo
118 am_libsciio_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
119 libsciio_algo_la_OBJECTS = $(am_libsciio_algo_la_OBJECTS)
120 @MAINTAINER_MODE_FALSE@am_libsciio_algo_la_rpath =
121 @MAINTAINER_MODE_TRUE@am_libsciio_algo_la_rpath =
122 libsciio_la_DEPENDENCIES = libsciio-algo.la
123 am__objects_3 = libsciio_la-sci_read4b.lo libsciio_la-sci_getio.lo \
124         libsciio_la-sci_readb.lo libsciio_la-sci_host.lo \
125         libsciio_la-sci_file.lo libsciio_la-sci_getenv.lo \
126         libsciio_la-sci_write.lo libsciio_la-sci_writeb.lo \
127         libsciio_la-sci_setenv.lo libsciio_la-gw_io.lo \
128         libsciio_la-sci_read.lo libsciio_la-sci_getpid.lo \
129         libsciio_la-sci_write4b.lo libsciio_la-sci_load.lo \
130         libsciio_la-sci_unix.lo libsciio_la-sci_save.lo
131 am__objects_4 = intwrite4b.lo intwritb.lo intwrite.lo intread4b.lo \
132         intread.lo intreadb.lo intfile.lo
133 am_libsciio_la_OBJECTS = $(am__objects_3) $(am__objects_4)
134 libsciio_la_OBJECTS = $(am_libsciio_la_OBJECTS)
135 libsciio_la_LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) \
136         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
137         $(libsciio_la_LDFLAGS) $(LDFLAGS) -o $@
138 @MAINTAINER_MODE_FALSE@am_libsciio_la_rpath =
139 @MAINTAINER_MODE_TRUE@am_libsciio_la_rpath = -rpath $(pkglibdir)
140 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
141 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
142 am__depfiles_maybe = depfiles
143 am__mv = mv -f
144 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
145         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
146 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
147         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
148         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
149 CCLD = $(CC)
150 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
151         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
152         $(LDFLAGS) -o $@
153 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
154 LTF77COMPILE = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
155         --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
156 F77LD = $(F77)
157 F77LINK = $(LIBTOOL) --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
158         --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) $(AM_LDFLAGS) \
159         $(LDFLAGS) -o $@
160 SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
161 DIST_SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
162 DATA = $(libsciio_la_etc_DATA) $(libsciio_la_root_DATA) \
163         $(libsciio_la_sci_gateway_DATA)
164 ETAGS = etags
165 CTAGS = ctags
166 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
167 ACLOCAL = @ACLOCAL@
168 ALL_LINGUAS = @ALL_LINGUAS@
169 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
170 AMTAR = @AMTAR@
171 ANT = @ANT@
172 ANTLR = @ANTLR@
173 AR = @AR@
174 ARPACK_LIBS = @ARPACK_LIBS@
175 AUTOCONF = @AUTOCONF@
176 AUTOHEADER = @AUTOHEADER@
177 AUTOMAKE = @AUTOMAKE@
178 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
179 AWK = @AWK@
180 BATIK = @BATIK@
181 BLAS_LIBS = @BLAS_LIBS@
182 BSH = @BSH@
183 CC = @CC@
184 CCACHE = @CCACHE@
185 CCDEPMODE = @CCDEPMODE@
186 CFLAGS = @CFLAGS@
187 CHECKSTYLE = @CHECKSTYLE@
188 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
189 COMMONS_IO = @COMMONS_IO@
190 COMMONS_LOGGING = @COMMONS_LOGGING@
191 CPP = @CPP@
192 CPPFLAGS = @CPPFLAGS@
193 CXX = @CXX@
194 CXXCPP = @CXXCPP@
195 CXXDEPMODE = @CXXDEPMODE@
196 CXXFLAGS = @CXXFLAGS@
197 CYGPATH_W = @CYGPATH_W@
198 DEFS = @DEFS@
199 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
200 DEPDIR = @DEPDIR@
201 DOCBOOK_ROOT = @DOCBOOK_ROOT@
202 DSYMUTIL = @DSYMUTIL@
203 DUMPBIN = @DUMPBIN@
204 ECHO_C = @ECHO_C@
205 ECHO_N = @ECHO_N@
206 ECHO_T = @ECHO_T@
207 EGREP = @EGREP@
208 EXEEXT = @EXEEXT@
209 F77 = @F77@
210 FFLAGS = @FFLAGS@
211 FFTW3_LIB = @FFTW3_LIB@
212 FFTW_ENABLE = @FFTW_ENABLE@
213 FGREP = @FGREP@
214 FLEXDOCK = @FLEXDOCK@
215 FLIBS = @FLIBS@
216 FOP = @FOP@
217 GENHTML = @GENHTML@
218 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
219 GIWS_BIN = @GIWS_BIN@
220 GLUEGEN_RT = @GLUEGEN_RT@
221 GMSGFMT = @GMSGFMT@
222 GMSGFMT_015 = @GMSGFMT_015@
223 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
224 GREP = @GREP@
225 GUI_ENABLE = @GUI_ENABLE@
226 HDF5_CFLAGS = @HDF5_CFLAGS@
227 HDF5_ENABLE = @HDF5_ENABLE@
228 HDF5_LIBS = @HDF5_LIBS@
229 HELP_ENABLE = @HELP_ENABLE@
230 INSTALL = @INSTALL@
231 INSTALL_DATA = @INSTALL_DATA@
232 INSTALL_PROGRAM = @INSTALL_PROGRAM@
233 INSTALL_SCRIPT = @INSTALL_SCRIPT@
234 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
235 INTLLIBS = @INTLLIBS@
236 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
237 JAR = @JAR@
238 JAVA = @JAVA@
239 JAVAC = @JAVAC@
240 JAVAC_DEBUG = @JAVAC_DEBUG@
241 JAVADOC = @JAVADOC@
242 JAVAH = @JAVAH@
243 JAVASCI_ENABLE = @JAVASCI_ENABLE@
244 JAVA_ENABLE = @JAVA_ENABLE@
245 JAVA_G = @JAVA_G@
246 JAVA_HOME = @JAVA_HOME@
247 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
248 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
249 JCOMMANDER = @JCOMMANDER@
250 JDB = @JDB@
251 JEUCLID_CORE = @JEUCLID_CORE@
252 JGRAPHX = @JGRAPHX@
253 JHALL = @JHALL@
254 JHDF5 = @JHDF5@
255 JLATEXMATH = @JLATEXMATH@
256 JLATEXMATH_FOP = @JLATEXMATH_FOP@
257 JOGL = @JOGL@
258 JROSETTA_API = @JROSETTA_API@
259 JROSETTA_ENGINE = @JROSETTA_ENGINE@
260 JUNIT = @JUNIT@
261 LAPACK_LIBS = @LAPACK_LIBS@
262 LCOV = @LCOV@
263 LD = @LD@
264 LDFLAGS = @LDFLAGS@
265 LIBICONV = @LIBICONV@
266 LIBINTL = @LIBINTL@
267 LIBM = @LIBM@
268 LIBOBJS = @LIBOBJS@
269 LIBS = @LIBS@
270 LIBTOOL = @LIBTOOL@
271 LIPO = @LIPO@
272 LN_S = @LN_S@
273 LOGGING_LEVEL = @LOGGING_LEVEL@
274 LOOKS = @LOOKS@
275 LTLIBICONV = @LTLIBICONV@
276 LTLIBINTL = @LTLIBINTL@
277 LTLIBOBJS = @LTLIBOBJS@
278 MAINT = @MAINT@
279 MAKEINFO = @MAKEINFO@
280 MATIO_CFLAGS = @MATIO_CFLAGS@
281 MATIO_ENABLE = @MATIO_ENABLE@
282 MATIO_LIBS = @MATIO_LIBS@
283 MKDIR_P = @MKDIR_P@
284 MSGCAT = @MSGCAT@
285 MSGFMT = @MSGFMT@
286 MSGFMT_015 = @MSGFMT_015@
287 MSGMERGE = @MSGMERGE@
288 NM = @NM@
289 NMEDIT = @NMEDIT@
290 OBJDUMP = @OBJDUMP@
291 OBJEXT = @OBJEXT@
292 OCAMLC = @OCAMLC@
293 OCAMLDEP = @OCAMLDEP@
294 OCAMLLEX = @OCAMLLEX@
295 OCAMLOPT = @OCAMLOPT@
296 OCAMLYACC = @OCAMLYACC@
297 OPENMP_CFLAGS = @OPENMP_CFLAGS@
298 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
299 OPENMP_ENABLE = @OPENMP_ENABLE@
300 OPENMP_LIBS = @OPENMP_LIBS@
301 OTOOL = @OTOOL@
302 OTOOL64 = @OTOOL64@
303 PACKAGE = @PACKAGE@
304 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
305 PACKAGE_NAME = @PACKAGE_NAME@
306 PACKAGE_STRING = @PACKAGE_STRING@
307 PACKAGE_TARNAME = @PACKAGE_TARNAME@
308 PACKAGE_URL = @PACKAGE_URL@
309 PACKAGE_VERSION = @PACKAGE_VERSION@
310 PATH_SEPARATOR = @PATH_SEPARATOR@
311 PCRE_CFLAGS = @PCRE_CFLAGS@
312 PCRE_CONFIG = @PCRE_CONFIG@
313 PCRE_LIBS = @PCRE_LIBS@
314 PCRE_VERSION = @PCRE_VERSION@
315 PKG_CONFIG = @PKG_CONFIG@
316 POSUB = @POSUB@
317 POW_LIB = @POW_LIB@
318 PYTHON = @PYTHON@
319 QDOX = @QDOX@
320 RANLIB = @RANLIB@
321 RELOCATABLE = @RELOCATABLE@
322 RT_LIB = @RT_LIB@
323 SAXON = @SAXON@
324 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
325 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
326 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
327 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
328 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
329 SED = @SED@
330 SET_MAKE = @SET_MAKE@
331 SET_RELOCATABLE = @SET_RELOCATABLE@
332 SHELL = @SHELL@
333 SKINLF = @SKINLF@
334 SPLINT = @SPLINT@
335 STRIP = @STRIP@
336 SWIG_BIN = @SWIG_BIN@
337 SWIG_JAVA = @SWIG_JAVA@
338 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
339 TCLTK_LIBS = @TCLTK_LIBS@
340 TCL_INC_PATH = @TCL_INC_PATH@
341 TESTNG = @TESTNG@
342 TK_INC_PATH = @TK_INC_PATH@
343 UMFPACK_ENABLE = @UMFPACK_ENABLE@
344 UMFPACK_LIB = @UMFPACK_LIB@
345 USE_NLS = @USE_NLS@
346 VERSION = @VERSION@
347 WITH_OCAML = @WITH_OCAML@
348 WITH_TKSCI = @WITH_TKSCI@
349 XCOS_ENABLE = @XCOS_ENABLE@
350 XGETTEXT = @XGETTEXT@
351 XGETTEXT_015 = @XGETTEXT_015@
352 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
353 XMKMF = @XMKMF@
354 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
355 XML_APIS_EXT = @XML_APIS_EXT@
356 XML_CONFIG = @XML_CONFIG@
357 XML_FLAGS = @XML_FLAGS@
358 XML_LIBS = @XML_LIBS@
359 XML_VERSION = @XML_VERSION@
360 X_CFLAGS = @X_CFLAGS@
361 X_EXTRA_LIBS = @X_EXTRA_LIBS@
362 X_LIBS = @X_LIBS@
363 X_PRE_LIBS = @X_PRE_LIBS@
364 abs_builddir = @abs_builddir@
365 abs_srcdir = @abs_srcdir@
366 abs_top_builddir = @abs_top_builddir@
367 abs_top_srcdir = @abs_top_srcdir@
368 ac_ct_CC = @ac_ct_CC@
369 ac_ct_CXX = @ac_ct_CXX@
370 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
371 ac_ct_F77 = @ac_ct_F77@
372 am__include = @am__include@
373 am__leading_dot = @am__leading_dot@
374 am__quote = @am__quote@
375 am__tar = @am__tar@
376 am__untar = @am__untar@
377 bindir = @bindir@
378 build = @build@
379 build_alias = @build_alias@
380 build_cpu = @build_cpu@
381 build_os = @build_os@
382 build_vendor = @build_vendor@
383 builddir = @builddir@
384 cxx_present = @cxx_present@
385 datadir = @datadir@
386 datarootdir = @datarootdir@
387 docdir = @docdir@
388 dvidir = @dvidir@
389 exec_prefix = @exec_prefix@
390 host = @host@
391 host_alias = @host_alias@
392 host_cpu = @host_cpu@
393 host_os = @host_os@
394 host_vendor = @host_vendor@
395 htmldir = @htmldir@
396 includedir = @includedir@
397 infodir = @infodir@
398 install_sh = @install_sh@
399 libdir = @libdir@
400 libexecdir = @libexecdir@
401 localedir = @localedir@
402 localstatedir = @localstatedir@
403 mandir = @mandir@
404 mkdir_p = @mkdir_p@
405 oldincludedir = @oldincludedir@
406 pdfdir = @pdfdir@
407 prefix = @prefix@
408 program_transform_name = @program_transform_name@
409 psdir = @psdir@
410 sbindir = @sbindir@
411 sharedstatedir = @sharedstatedir@
412 srcdir = @srcdir@
413 sysconfdir = @sysconfdir@
414 target_alias = @target_alias@
415 top_build_prefix = @top_build_prefix@
416 top_builddir = @top_builddir@
417 top_srcdir = @top_srcdir@
418 IO_C_SOURCES = src/c/getpidc.c \
419 src/c/setenvc.c \
420 src/c/systemc.c \
421 src/c/getenvc.c \
422 src/c/GetenvB.c \
423 src/c/v2cuniterror.c
424
425 IO_FORTRAN_SOURCES = src/fortran/v2unit.f \
426 src/fortran/newsave.f \
427 src/fortran/v2cunit.f
428
429 GATEWAY_C_SOURCES = sci_gateway/c/sci_read4b.c \
430 sci_gateway/c/sci_getio.c \
431 sci_gateway/c/sci_readb.c \
432 sci_gateway/c/sci_host.c \
433 sci_gateway/c/sci_file.c \
434 sci_gateway/c/sci_getenv.c \
435 sci_gateway/c/sci_write.c \
436 sci_gateway/c/sci_writeb.c \
437 sci_gateway/c/sci_setenv.c \
438 sci_gateway/c/gw_io.c \
439 sci_gateway/c/sci_read.c \
440 sci_gateway/c/sci_getpid.c \
441 sci_gateway/c/sci_write4b.c \
442 sci_gateway/c/sci_load.c \
443 sci_gateway/c/sci_unix.c \
444 sci_gateway/c/sci_save.c
445
446 GATEWAY_FORTRAN_SOURCES = sci_gateway/fortran/intwrite4b.f \
447 sci_gateway/fortran/intwritb.f \
448 sci_gateway/fortran/intwrite.f \
449 sci_gateway/fortran/intread4b.f \
450 sci_gateway/fortran/intread.f \
451 sci_gateway/fortran/intreadb.f \
452 sci_gateway/fortran/intfile.f
453
454 libsciio_la_CFLAGS = -I$(srcdir)/includes/ \
455                         -I$(srcdir)/src/c/ \
456                         -I$(top_srcdir)/libs/MALLOC/includes/ \
457                         -I$(top_srcdir)/modules/fileio/includes/ \
458                         -I$(top_srcdir)/modules/api_scilab/includes/ \
459                         -I$(top_srcdir)/modules/output_stream/includes/
460
461 libsciio_la_CPPFLAGS = -I$(srcdir)/includes/ \
462                         -I$(top_srcdir)/modules/core/includes/ \
463                         -I$(top_srcdir)/modules/api_scilab/includes \
464                         -I$(top_srcdir)/modules/output_stream/includes/
465
466 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciio.la
467 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciio-algo.la libsciio.la
468 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciio-algo.la
469 libsciio_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION)
470 libsciio_algo_la_SOURCES = $(IO_C_SOURCES) $(IO_FORTRAN_SOURCES)
471 libsciio_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_FORTRAN_SOURCES)
472 libsciio_algo_la_CFLAGS = $(libsciio_la_CFLAGS)
473
474 # For the code check (splint)
475 CHECK_SRC = $(IO_C_SOURCES) $(GATEWAY_C_SOURCES)
476 INCLUDE_FLAGS = $(libsciio_la_CFLAGS)
477 libsciio_la_LIBADD = libsciio-algo.la
478
479 #### Target ######
480 modulename = io
481
482 #### io : Conf files ####
483 libsciio_la_rootdir = $(mydatadir)
484 libsciio_la_root_DATA = license.txt 
485
486 ####io : init scripts ####
487 libsciio_la_etcdir = $(mydatadir)/etc
488 libsciio_la_etc_DATA = etc/io.quit etc/io.start
489
490 ####io : gateway declaration ####
491 libsciio_la_sci_gatewaydir = $(mydatadir)/sci_gateway
492 libsciio_la_sci_gateway_DATA = sci_gateway/io_gateway.xml
493
494 # Where all the Scilab stuff is installed (macros, help, ...)
495 mydatadir = $(pkgdatadir)/modules/$(modulename)
496
497 # splint options
498 SPLINT_OPTIONS = -weak -booltype BOOL
499
500 ########################### JAVA ######################################
501 #### We are delegating java compilation to ant... Thanks to that
502 #### the procedure will be the same with Microsoft Windows (C)
503 #### and Linux/Unix
504 #######################################################################
505 TARGETS_ALL = $(am__append_1)
506
507 ################ MACROS ######################
508 # Rule to build a macro
509 # NOT USED  AT THE MOMENT
510 SUFFIXES = .sci 
511
512 ########### INSTALL DOCUMENTATION ###################
513
514 # Install documentation files into the right target
515 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
516 # automake needs the html files to be present which is not the case when
517 # we are building Scilab
518
519 # Where it should be installed
520 pkgdocdir = $(mydatadir)
521
522 # What is the mask of the help source
523 DOCMASKXML = *.xml
524
525 # What is the mask of the MathML sources
526 DOCMASKMML = *.mml
527
528 ########### INSTALL DATA ###################
529 # Install macros, help & demos
530 # Where it should be installed
531 pkgmacrosdir = $(mydatadir)
532 # Which directory we process
533 MACRODIRS = macros/
534 # Mask of the Scilab sources macros
535 MACROMASK = *.sci
536 # Mask of the Scilab executable sources macros
537 MACROBUILDMASK = *.sce
538 # Mask of the Scilab compiled macros
539 MACROBINMASK = *.bin
540 # List of the standard directory for tests
541 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
542 # Where the demos should be installed
543 pkgdemosdir = $(mydatadir)
544 # List of the standard directory for demos
545 DEMOS_DIR = demos
546 # List of the standard directory for examples
547 EXAMPLES_DIR = examples
548 # Where to export JAVA archives (.jar)
549 JARDIR = jar/
550 # JAR files mask
551 JARMASK = *.jar
552 # Chapter file 
553 HELP_CHAPTERDIR = help/
554 HELP_CHAPTERFILE = addchapter.sce
555 HELP_CHAPTERLANG = en_US fr_FR pt_BR
556 all: all-am
557
558 .SUFFIXES:
559 .SUFFIXES: .sci .bin .c .f .lo .o .obj
560 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
561         @for dep in $?; do \
562           case '$(am__configure_deps)' in \
563             *$$dep*) \
564               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
565                 && { if test -f $@; then exit 0; else break; fi; }; \
566               exit 1;; \
567           esac; \
568         done; \
569         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/io/Makefile'; \
570         $(am__cd) $(top_srcdir) && \
571           $(AUTOMAKE) --foreign modules/io/Makefile
572 .PRECIOUS: Makefile
573 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
574         @case '$?' in \
575           *config.status*) \
576             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
577           *) \
578             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
579             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
580         esac;
581
582 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
583         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
584
585 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
586         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
587 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
588         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
589 $(am__aclocal_m4_deps):
590
591 clean-noinstLTLIBRARIES:
592         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
593         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
594           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
595           test "$$dir" != "$$p" || dir=.; \
596           echo "rm -f \"$${dir}/so_locations\""; \
597           rm -f "$${dir}/so_locations"; \
598         done
599 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
600         @$(NORMAL_INSTALL)
601         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
602         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
603         list2=; for p in $$list; do \
604           if test -f $$p; then \
605             list2="$$list2 $$p"; \
606           else :; fi; \
607         done; \
608         test -z "$$list2" || { \
609           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
610           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
611         }
612
613 uninstall-pkglibLTLIBRARIES:
614         @$(NORMAL_UNINSTALL)
615         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
616         for p in $$list; do \
617           $(am__strip_dir) \
618           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
619           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
620         done
621
622 clean-pkglibLTLIBRARIES:
623         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
624         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
625           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
626           test "$$dir" != "$$p" || dir=.; \
627           echo "rm -f \"$${dir}/so_locations\""; \
628           rm -f "$${dir}/so_locations"; \
629         done
630 libsciio-algo.la: $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_DEPENDENCIES) 
631         $(F77LINK) $(am_libsciio_algo_la_rpath) $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_LIBADD) $(LIBS)
632 libsciio.la: $(libsciio_la_OBJECTS) $(libsciio_la_DEPENDENCIES) 
633         $(libsciio_la_LINK) $(am_libsciio_la_rpath) $(libsciio_la_OBJECTS) $(libsciio_la_LIBADD) $(LIBS)
634
635 mostlyclean-compile:
636         -rm -f *.$(OBJEXT)
637
638 distclean-compile:
639         -rm -f *.tab.c
640
641 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-GetenvB.Plo@am__quote@
642 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getenvc.Plo@am__quote@
643 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-getpidc.Plo@am__quote@
644 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-setenvc.Plo@am__quote@
645 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-systemc.Plo@am__quote@
646 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo@am__quote@
647 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-gw_io.Plo@am__quote@
648 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_file.Plo@am__quote@
649 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getenv.Plo@am__quote@
650 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getio.Plo@am__quote@
651 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_getpid.Plo@am__quote@
652 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_host.Plo@am__quote@
653 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_load.Plo@am__quote@
654 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read.Plo@am__quote@
655 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_read4b.Plo@am__quote@
656 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_readb.Plo@am__quote@
657 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_save.Plo@am__quote@
658 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_setenv.Plo@am__quote@
659 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_unix.Plo@am__quote@
660 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write.Plo@am__quote@
661 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_write4b.Plo@am__quote@
662 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciio_la-sci_writeb.Plo@am__quote@
663
664 .c.o:
665 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
666 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
667 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
668 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
669 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
670
671 .c.obj:
672 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
673 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
674 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
675 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
676 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
677
678 .c.lo:
679 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
680 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
681 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
682 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
683 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
684
685 libsciio_algo_la-getpidc.lo: src/c/getpidc.c
686 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getpidc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getpidc.Tpo -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
687 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-getpidc.Tpo $(DEPDIR)/libsciio_algo_la-getpidc.Plo
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getpidc.c' object='libsciio_algo_la-getpidc.lo' libtool=yes @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
691
692 libsciio_algo_la-setenvc.lo: src/c/setenvc.c
693 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-setenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-setenvc.Tpo -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
694 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-setenvc.Tpo $(DEPDIR)/libsciio_algo_la-setenvc.Plo
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/setenvc.c' object='libsciio_algo_la-setenvc.lo' libtool=yes @AMDEPBACKSLASH@
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
697 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
698
699 libsciio_algo_la-systemc.lo: src/c/systemc.c
700 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-systemc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-systemc.Tpo -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
701 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-systemc.Tpo $(DEPDIR)/libsciio_algo_la-systemc.Plo
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/systemc.c' object='libsciio_algo_la-systemc.lo' libtool=yes @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
705
706 libsciio_algo_la-getenvc.lo: src/c/getenvc.c
707 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-getenvc.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-getenvc.Tpo -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
708 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-getenvc.Tpo $(DEPDIR)/libsciio_algo_la-getenvc.Plo
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getenvc.c' object='libsciio_algo_la-getenvc.lo' libtool=yes @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
712
713 libsciio_algo_la-GetenvB.lo: src/c/GetenvB.c
714 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-GetenvB.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
715 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-GetenvB.Tpo $(DEPDIR)/libsciio_algo_la-GetenvB.Plo
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/GetenvB.c' object='libsciio_algo_la-GetenvB.lo' libtool=yes @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-GetenvB.lo `test -f 'src/c/GetenvB.c' || echo '$(srcdir)/'`src/c/GetenvB.c
719
720 libsciio_algo_la-v2cuniterror.lo: src/c/v2cuniterror.c
721 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -MT libsciio_algo_la-v2cuniterror.lo -MD -MP -MF $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
722 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo $(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/v2cuniterror.c' object='libsciio_algo_la-v2cuniterror.lo' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libsciio_algo_la_CFLAGS) $(CFLAGS) -c -o libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
726
727 libsciio_la-sci_read4b.lo: sci_gateway/c/sci_read4b.c
728 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read4b.Tpo -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
729 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_read4b.Tpo $(DEPDIR)/libsciio_la-sci_read4b.Plo
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_read4b.c' object='libsciio_la-sci_read4b.lo' libtool=yes @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
733
734 libsciio_la-sci_getio.lo: sci_gateway/c/sci_getio.c
735 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getio.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getio.Tpo -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
736 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getio.Tpo $(DEPDIR)/libsciio_la-sci_getio.Plo
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getio.c' object='libsciio_la-sci_getio.lo' libtool=yes @AMDEPBACKSLASH@
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
739 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getio.lo `test -f 'sci_gateway/c/sci_getio.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getio.c
740
741 libsciio_la-sci_readb.lo: sci_gateway/c/sci_readb.c
742 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_readb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_readb.Tpo -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
743 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_readb.Tpo $(DEPDIR)/libsciio_la-sci_readb.Plo
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_readb.c' object='libsciio_la-sci_readb.lo' libtool=yes @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
747
748 libsciio_la-sci_host.lo: sci_gateway/c/sci_host.c
749 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_host.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_host.Tpo -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
750 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_host.Tpo $(DEPDIR)/libsciio_la-sci_host.Plo
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_host.c' object='libsciio_la-sci_host.lo' libtool=yes @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_host.lo `test -f 'sci_gateway/c/sci_host.c' || echo '$(srcdir)/'`sci_gateway/c/sci_host.c
754
755 libsciio_la-sci_file.lo: sci_gateway/c/sci_file.c
756 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_file.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_file.Tpo -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
757 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_file.Tpo $(DEPDIR)/libsciio_la-sci_file.Plo
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_file.c' object='libsciio_la-sci_file.lo' libtool=yes @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_file.lo `test -f 'sci_gateway/c/sci_file.c' || echo '$(srcdir)/'`sci_gateway/c/sci_file.c
761
762 libsciio_la-sci_getenv.lo: sci_gateway/c/sci_getenv.c
763 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getenv.Tpo -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
764 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getenv.Tpo $(DEPDIR)/libsciio_la-sci_getenv.Plo
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getenv.c' object='libsciio_la-sci_getenv.lo' libtool=yes @AMDEPBACKSLASH@
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
767 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
768
769 libsciio_la-sci_write.lo: sci_gateway/c/sci_write.c
770 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write.Tpo -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
771 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_write.Tpo $(DEPDIR)/libsciio_la-sci_write.Plo
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_write.c' object='libsciio_la-sci_write.lo' libtool=yes @AMDEPBACKSLASH@
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
774 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write.lo `test -f 'sci_gateway/c/sci_write.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write.c
775
776 libsciio_la-sci_writeb.lo: sci_gateway/c/sci_writeb.c
777 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_writeb.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_writeb.Tpo -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
778 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_writeb.Tpo $(DEPDIR)/libsciio_la-sci_writeb.Plo
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_writeb.c' object='libsciio_la-sci_writeb.lo' libtool=yes @AMDEPBACKSLASH@
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
781 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
782
783 libsciio_la-sci_setenv.lo: sci_gateway/c/sci_setenv.c
784 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_setenv.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_setenv.Tpo -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
785 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_setenv.Tpo $(DEPDIR)/libsciio_la-sci_setenv.Plo
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_setenv.c' object='libsciio_la-sci_setenv.lo' libtool=yes @AMDEPBACKSLASH@
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
788 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
789
790 libsciio_la-gw_io.lo: sci_gateway/c/gw_io.c
791 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-gw_io.lo -MD -MP -MF $(DEPDIR)/libsciio_la-gw_io.Tpo -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
792 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-gw_io.Tpo $(DEPDIR)/libsciio_la-gw_io.Plo
793 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_io.c' object='libsciio_la-gw_io.lo' libtool=yes @AMDEPBACKSLASH@
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
795 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-gw_io.lo `test -f 'sci_gateway/c/gw_io.c' || echo '$(srcdir)/'`sci_gateway/c/gw_io.c
796
797 libsciio_la-sci_read.lo: sci_gateway/c/sci_read.c
798 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_read.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_read.Tpo -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
799 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_read.Tpo $(DEPDIR)/libsciio_la-sci_read.Plo
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_read.c' object='libsciio_la-sci_read.lo' libtool=yes @AMDEPBACKSLASH@
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
802 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_read.lo `test -f 'sci_gateway/c/sci_read.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read.c
803
804 libsciio_la-sci_getpid.lo: sci_gateway/c/sci_getpid.c
805 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_getpid.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_getpid.Tpo -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
806 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_getpid.Tpo $(DEPDIR)/libsciio_la-sci_getpid.Plo
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_getpid.c' object='libsciio_la-sci_getpid.lo' libtool=yes @AMDEPBACKSLASH@
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
809 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
810
811 libsciio_la-sci_write4b.lo: sci_gateway/c/sci_write4b.c
812 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_write4b.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_write4b.Tpo -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
813 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_write4b.Tpo $(DEPDIR)/libsciio_la-sci_write4b.Plo
814 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_write4b.c' object='libsciio_la-sci_write4b.lo' libtool=yes @AMDEPBACKSLASH@
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
816 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
817
818 libsciio_la-sci_load.lo: sci_gateway/c/sci_load.c
819 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_load.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_load.Tpo -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
820 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_load.Tpo $(DEPDIR)/libsciio_la-sci_load.Plo
821 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_load.c' object='libsciio_la-sci_load.lo' libtool=yes @AMDEPBACKSLASH@
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
823 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_load.lo `test -f 'sci_gateway/c/sci_load.c' || echo '$(srcdir)/'`sci_gateway/c/sci_load.c
824
825 libsciio_la-sci_unix.lo: sci_gateway/c/sci_unix.c
826 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_unix.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_unix.Tpo -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
827 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_unix.Tpo $(DEPDIR)/libsciio_la-sci_unix.Plo
828 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_unix.c' object='libsciio_la-sci_unix.lo' libtool=yes @AMDEPBACKSLASH@
829 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
830 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_unix.lo `test -f 'sci_gateway/c/sci_unix.c' || echo '$(srcdir)/'`sci_gateway/c/sci_unix.c
831
832 libsciio_la-sci_save.lo: sci_gateway/c/sci_save.c
833 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -MT libsciio_la-sci_save.lo -MD -MP -MF $(DEPDIR)/libsciio_la-sci_save.Tpo -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
834 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libsciio_la-sci_save.Tpo $(DEPDIR)/libsciio_la-sci_save.Plo
835 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_save.c' object='libsciio_la-sci_save.lo' libtool=yes @AMDEPBACKSLASH@
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
837 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(libsciio_la_CFLAGS) $(CFLAGS) -c -o libsciio_la-sci_save.lo `test -f 'sci_gateway/c/sci_save.c' || echo '$(srcdir)/'`sci_gateway/c/sci_save.c
838
839 .f.o:
840         $(F77COMPILE) -c -o $@ $<
841
842 .f.obj:
843         $(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
844
845 .f.lo:
846         $(LTF77COMPILE) -c -o $@ $<
847
848 v2unit.lo: src/fortran/v2unit.f
849         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2unit.lo `test -f 'src/fortran/v2unit.f' || echo '$(srcdir)/'`src/fortran/v2unit.f
850
851 newsave.lo: src/fortran/newsave.f
852         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o newsave.lo `test -f 'src/fortran/newsave.f' || echo '$(srcdir)/'`src/fortran/newsave.f
853
854 v2cunit.lo: src/fortran/v2cunit.f
855         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o v2cunit.lo `test -f 'src/fortran/v2cunit.f' || echo '$(srcdir)/'`src/fortran/v2cunit.f
856
857 intwrite4b.lo: sci_gateway/fortran/intwrite4b.f
858         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite4b.lo `test -f 'sci_gateway/fortran/intwrite4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite4b.f
859
860 intwritb.lo: sci_gateway/fortran/intwritb.f
861         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwritb.lo `test -f 'sci_gateway/fortran/intwritb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwritb.f
862
863 intwrite.lo: sci_gateway/fortran/intwrite.f
864         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intwrite.lo `test -f 'sci_gateway/fortran/intwrite.f' || echo '$(srcdir)/'`sci_gateway/fortran/intwrite.f
865
866 intread4b.lo: sci_gateway/fortran/intread4b.f
867         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread4b.lo `test -f 'sci_gateway/fortran/intread4b.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread4b.f
868
869 intread.lo: sci_gateway/fortran/intread.f
870         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intread.lo `test -f 'sci_gateway/fortran/intread.f' || echo '$(srcdir)/'`sci_gateway/fortran/intread.f
871
872 intreadb.lo: sci_gateway/fortran/intreadb.f
873         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intreadb.lo `test -f 'sci_gateway/fortran/intreadb.f' || echo '$(srcdir)/'`sci_gateway/fortran/intreadb.f
874
875 intfile.lo: sci_gateway/fortran/intfile.f
876         $(LIBTOOL)  --tag=F77 $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS) -c -o intfile.lo `test -f 'sci_gateway/fortran/intfile.f' || echo '$(srcdir)/'`sci_gateway/fortran/intfile.f
877
878 mostlyclean-libtool:
879         -rm -f *.lo
880
881 clean-libtool:
882         -rm -rf .libs _libs
883 install-libsciio_la_etcDATA: $(libsciio_la_etc_DATA)
884         @$(NORMAL_INSTALL)
885         test -z "$(libsciio_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_etcdir)"
886         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
887         for p in $$list; do \
888           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
889           echo "$$d$$p"; \
890         done | $(am__base_list) | \
891         while read files; do \
892           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_etcdir)'"; \
893           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_etcdir)" || exit $$?; \
894         done
895
896 uninstall-libsciio_la_etcDATA:
897         @$(NORMAL_UNINSTALL)
898         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
899         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
900         test -n "$$files" || exit 0; \
901         echo " ( cd '$(DESTDIR)$(libsciio_la_etcdir)' && rm -f" $$files ")"; \
902         cd "$(DESTDIR)$(libsciio_la_etcdir)" && rm -f $$files
903 install-libsciio_la_rootDATA: $(libsciio_la_root_DATA)
904         @$(NORMAL_INSTALL)
905         test -z "$(libsciio_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_rootdir)"
906         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
907         for p in $$list; do \
908           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
909           echo "$$d$$p"; \
910         done | $(am__base_list) | \
911         while read files; do \
912           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_rootdir)'"; \
913           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_rootdir)" || exit $$?; \
914         done
915
916 uninstall-libsciio_la_rootDATA:
917         @$(NORMAL_UNINSTALL)
918         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
919         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
920         test -n "$$files" || exit 0; \
921         echo " ( cd '$(DESTDIR)$(libsciio_la_rootdir)' && rm -f" $$files ")"; \
922         cd "$(DESTDIR)$(libsciio_la_rootdir)" && rm -f $$files
923 install-libsciio_la_sci_gatewayDATA: $(libsciio_la_sci_gateway_DATA)
924         @$(NORMAL_INSTALL)
925         test -z "$(libsciio_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
926         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
927         for p in $$list; do \
928           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
929           echo "$$d$$p"; \
930         done | $(am__base_list) | \
931         while read files; do \
932           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
933           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit $$?; \
934         done
935
936 uninstall-libsciio_la_sci_gatewayDATA:
937         @$(NORMAL_UNINSTALL)
938         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
939         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
940         test -n "$$files" || exit 0; \
941         echo " ( cd '$(DESTDIR)$(libsciio_la_sci_gatewaydir)' && rm -f" $$files ")"; \
942         cd "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" && rm -f $$files
943
944 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
945         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
946         unique=`for i in $$list; do \
947             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
948           done | \
949           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
950               END { if (nonempty) { for (i in files) print i; }; }'`; \
951         mkid -fID $$unique
952 tags: TAGS
953
954 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
955                 $(TAGS_FILES) $(LISP)
956         set x; \
957         here=`pwd`; \
958         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
959         unique=`for i in $$list; do \
960             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
961           done | \
962           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
963               END { if (nonempty) { for (i in files) print i; }; }'`; \
964         shift; \
965         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
966           test -n "$$unique" || unique=$$empty_fix; \
967           if test $$# -gt 0; then \
968             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
969               "$$@" $$unique; \
970           else \
971             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
972               $$unique; \
973           fi; \
974         fi
975 ctags: CTAGS
976 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
977                 $(TAGS_FILES) $(LISP)
978         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
979         unique=`for i in $$list; do \
980             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
981           done | \
982           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
983               END { if (nonempty) { for (i in files) print i; }; }'`; \
984         test -z "$(CTAGS_ARGS)$$unique" \
985           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
986              $$unique
987
988 GTAGS:
989         here=`$(am__cd) $(top_builddir) && pwd` \
990           && $(am__cd) $(top_srcdir) \
991           && gtags -i $(GTAGS_ARGS) "$$here"
992
993 distclean-tags:
994         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
995
996 distdir: $(DISTFILES)
997         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
998         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
999         list='$(DISTFILES)'; \
1000           dist_files=`for file in $$list; do echo $$file; done | \
1001           sed -e "s|^$$srcdirstrip/||;t" \
1002               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1003         case $$dist_files in \
1004           */*) $(MKDIR_P) `echo "$$dist_files" | \
1005                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1006                            sort -u` ;; \
1007         esac; \
1008         for file in $$dist_files; do \
1009           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1010           if test -d $$d/$$file; then \
1011             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1012             if test -d "$(distdir)/$$file"; then \
1013               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1014             fi; \
1015             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1016               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1017               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1018             fi; \
1019             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1020           else \
1021             test -f "$(distdir)/$$file" \
1022             || cp -p $$d/$$file "$(distdir)/$$file" \
1023             || exit 1; \
1024           fi; \
1025         done
1026 check-am: all-am
1027         $(MAKE) $(AM_MAKEFLAGS) check-local
1028 check: check-am
1029 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1030 installdirs:
1031         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciio_la_etcdir)" "$(DESTDIR)$(libsciio_la_rootdir)" "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"; do \
1032           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1033         done
1034 install: install-am
1035 install-exec: install-exec-am
1036 install-data: install-data-am
1037 uninstall: uninstall-am
1038
1039 install-am: all-am
1040         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1041
1042 installcheck: installcheck-am
1043 install-strip:
1044         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1045           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1046           `test -z '$(STRIP)' || \
1047             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1048 mostlyclean-generic:
1049
1050 clean-generic:
1051
1052 distclean-generic:
1053         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1054         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1055
1056 maintainer-clean-generic:
1057         @echo "This command is intended for maintainers to use"
1058         @echo "it deletes files that may require special tools to rebuild."
1059 clean: clean-am
1060
1061 clean-am: clean-generic clean-libtool clean-local \
1062         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1063
1064 distclean: distclean-am
1065         -rm -rf ./$(DEPDIR)
1066         -rm -f Makefile
1067 distclean-am: clean-am distclean-compile distclean-generic \
1068         distclean-local distclean-tags
1069
1070 dvi: dvi-am
1071
1072 dvi-am:
1073
1074 html: html-am
1075
1076 html-am:
1077
1078 info: info-am
1079
1080 info-am:
1081
1082 install-data-am: install-data-local install-libsciio_la_etcDATA \
1083         install-libsciio_la_rootDATA \
1084         install-libsciio_la_sci_gatewayDATA
1085
1086 install-dvi: install-dvi-am
1087
1088 install-dvi-am:
1089
1090 install-exec-am: install-pkglibLTLIBRARIES
1091
1092 install-html: install-html-am
1093
1094 install-html-am: install-html-local
1095
1096 install-info: install-info-am
1097
1098 install-info-am:
1099
1100 install-man:
1101
1102 install-pdf: install-pdf-am
1103
1104 install-pdf-am:
1105
1106 install-ps: install-ps-am
1107
1108 install-ps-am:
1109
1110 installcheck-am:
1111
1112 maintainer-clean: maintainer-clean-am
1113         -rm -rf ./$(DEPDIR)
1114         -rm -f Makefile
1115 maintainer-clean-am: distclean-am maintainer-clean-generic
1116
1117 mostlyclean: mostlyclean-am
1118
1119 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1120         mostlyclean-libtool
1121
1122 pdf: pdf-am
1123
1124 pdf-am:
1125
1126 ps: ps-am
1127
1128 ps-am:
1129
1130 uninstall-am: uninstall-libsciio_la_etcDATA \
1131         uninstall-libsciio_la_rootDATA \
1132         uninstall-libsciio_la_sci_gatewayDATA \
1133         uninstall-pkglibLTLIBRARIES
1134
1135 .MAKE: check-am install-am install-strip
1136
1137 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1138         clean clean-generic clean-libtool clean-local \
1139         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1140         distclean distclean-compile distclean-generic \
1141         distclean-libtool distclean-local distclean-tags distdir dvi \
1142         dvi-am html html-am info info-am install install-am \
1143         install-data install-data-am install-data-local install-dvi \
1144         install-dvi-am install-exec install-exec-am install-html \
1145         install-html-am install-html-local install-info \
1146         install-info-am install-libsciio_la_etcDATA \
1147         install-libsciio_la_rootDATA \
1148         install-libsciio_la_sci_gatewayDATA install-man install-pdf \
1149         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1150         install-ps-am install-strip installcheck installcheck-am \
1151         installdirs maintainer-clean maintainer-clean-generic \
1152         mostlyclean mostlyclean-compile mostlyclean-generic \
1153         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1154         uninstall-am uninstall-libsciio_la_etcDATA \
1155         uninstall-libsciio_la_rootDATA \
1156         uninstall-libsciio_la_sci_gatewayDATA \
1157         uninstall-pkglibLTLIBRARIES
1158
1159
1160 # This target enables tests for Scilab
1161 check-local: $(top_builddir)/scilab-bin test
1162         @COMMAND="test_run('$(modulename)');quit";\
1163         export LANG=C;\
1164         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1165 check-code:
1166         if test -f build.xml; then \
1167                 $(ANT) checkstyle; \
1168         fi
1169         if test -x "$(SPLINT)"; then \
1170                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1171         fi
1172 @NEED_JAVA_TRUE@java:
1173 # Some configurations needs to export JAVA_HOME in the current env
1174 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1175 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1176 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1177 @NEED_JAVA_TRUE@                $(ANT); \
1178 @NEED_JAVA_TRUE@        fi
1179
1180 @NEED_JAVA_TRUE@clean-java:
1181 # Some configurations needs to export JAVA_HOME in the current env
1182 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1183 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1184 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1185 @NEED_JAVA_TRUE@                $(ANT) clean; \
1186 @NEED_JAVA_TRUE@        fi;
1187
1188 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1189 # We call the target swig-build on the variable SWIG_WRAPPERS
1190
1191 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1192 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1193 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1194 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1195 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1196 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1197 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1198 @SWIG_TRUE@             done; \
1199 @SWIG_TRUE@     fi
1200
1201 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1202 # We call the target swig-build on the variable SWIG_WRAPPERS
1203
1204 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1205 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1206 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1207 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1208 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1209 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1210 @GIWS_TRUE@             done; \
1211 @GIWS_TRUE@     fi
1212
1213 @GIWS_TRUE@giws-exception:
1214 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1215 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1216 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1217
1218 macros:
1219         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1220                 echo "Error : Cannot build $< : Scilab has not been built"; \
1221         else \
1222                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1223         fi)
1224
1225 # Removes the macros
1226 clean-macros:
1227 # Removes macros (*.bin generated from .sci)
1228         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1229                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1230                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1231         done
1232
1233 test:
1234 # More tests could be added here
1235         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1236         if test -f build.xml -a $$USEANT -eq 1; then \
1237                 $(ANT) test; \
1238         fi
1239
1240 all-local: $(TARGETS_ALL)
1241
1242 .sci.bin:
1243         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1244         echo "Error : Cannot build $< : Scilab has not been build"; \
1245         else \
1246         echo "Creating $@"; \
1247         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1248         fi )
1249
1250 install-html-local:
1251
1252 install-data-local-local:
1253 # Mainly for javasci
1254         @if test -d $(srcdir)/javadoc; then \
1255                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1256         fi
1257 # If the user wants the help sources to be installed
1258 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1259 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1260 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1261 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1262 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1263 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1264 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1265 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1266 @INSTALL_HELP_XML_TRUE@           done ; \
1267 @INSTALL_HELP_XML_TRUE@         fi; \
1268 @INSTALL_HELP_XML_TRUE@  fi; \
1269 @INSTALL_HELP_XML_TRUE@ done; \
1270 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1271 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1272 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1273 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1274 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1275 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1276 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1277 @INSTALL_HELP_XML_TRUE@           done ; \
1278 @INSTALL_HELP_XML_TRUE@         fi; \
1279 @INSTALL_HELP_XML_TRUE@ fi
1280 install-data-local:
1281 # Install the tests
1282         @echo "-------- Install tests (if any) --------"; \
1283         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1284           if test -d $(srcdir)/$$dir/; then \
1285             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1286                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1287                     if test -d "$(srcdir)/$$dir/$$file"; then \
1288                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1289                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1290                     else \
1291                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1292                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1293                     fi \
1294                   done; \
1295           fi; \
1296         done
1297 # Install the help chapter
1298         @echo "-------- Install the help chapter (if any) --------"; \
1299         for lang in $(HELP_CHAPTERLANG); do \
1300                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1301                 if test -f $$HELPFILE; then \
1302                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1303                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1304                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1305                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1306                 fi; \
1307         done
1308 # Install the demos & examples
1309         @echo "-------- Install demos & examples (if any) --------"; \
1310         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1311           if test -d $(srcdir)/$$dir/; then \
1312             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1313                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1314                     if test -d "$(srcdir)/$$dir/$$file"; then \
1315                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1316                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1317                     else \
1318                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1319                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1320                     fi \
1321                   done; \
1322           fi; \
1323         done
1324 # Install the macros
1325         @echo "-------- Install macros (if any) --------"; \
1326         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1327           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1328                 if test -d $(srcdir)/$$dir/; then \
1329                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1330                         if test -n "$(MACROSSPECIALEXT)"; then \
1331                                 specialExtDir=""; \
1332                                 for specialExt in $(MACROSSPECIALEXT); do \
1333                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1334                                 done; \
1335                                 FILELIST="$$FILELIST $$specialExtDir"; \
1336                         fi; \
1337                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1338                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1339                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1340                   done; \
1341                 fi; \
1342         done
1343 # Install java files (.jar)
1344         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1345         echo "-------- Install jar files --------"; \
1346     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1347           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1348                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1349                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1350           done ; \
1351         fi
1352
1353 ########### CLEAN ###################
1354 # Clean help (generated automatically by Scilab)
1355 # It used to clean the macro (clean-macros) but this was causing
1356 # make clean && make to fail Scilab startup
1357 @NEED_JAVA_TRUE@clean-local: clean-java
1358 @NEED_JAVA_FALSE@clean-local:
1359
1360 distclean-local:
1361         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1362
1363 .PHONY: macros java swig giws
1364
1365 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1366 # Otherwise a system limit (for SysV at least) may be exceeded.
1367 .NOEXPORT: